Ubuntu

system::admin::services is broken in karmic (says platform is unsupported)

Reported by Martin Olsson on 2009-05-03
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
system-tools-backends
Unknown
Critical
system-tools-backends (Ubuntu)
High
Martin Pitt
Karmic
High
Martin Pitt

Bug Description

Binary package hint: gnome-system-tools

repro steps:

0. (make sure you're running karmic)
1. select "system::administration::services"

Expected:
Should show my system services

Actual:
Shows some weird dialog saying that my platform is not supported, and asks if I want to copy my config from Arch Linux etc (see screenshot).

ProblemType: Bug
Architecture: i386
Date: Sun May 3 15:28:30 2009
DistroRelease: Ubuntu 9.10
Package: gnome-system-tools 2.22.2-0ubuntu4
ProcEnviron:
 LANG=en_DK.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-system-tools
Uname: Linux 2.6.28-11-generic i686

CVE References

Martin Olsson (mnemo) wrote :
Martin Olsson (mnemo) wrote :

I guess you just have to tell gnome-system-tools about the fact that karmic exists.

Martin Pitt (pitti) on 2009-05-06
Changed in gnome-system-tools (Ubuntu Karmic):
status: New → Triaged
importance: Undecided → High
Martin Pitt (pitti) on 2009-05-06
affects: gnome-system-tools (Ubuntu Karmic) → system-tools-backends (Ubuntu Karmic)
Changed in system-tools-backends (Ubuntu Karmic):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-tools-backends - 2.6.0-6ubuntu1

---------------
system-tools-backends (2.6.0-6ubuntu1) karmic; urgency=low

  * Merge with Debian unstable; Remaining Ubuntu changes:
    - Some patches, see their tag headers for details:
      + 00git-format-strings.patch
      + 00git-policy-i18n.patch
      + 08_rosetta_translations.patch
      + 61_cleanup-pid-file.patch
      + 99_autoreconf.patch (for the changes in 00git-policy-i18n.patch)
      + Drop 60_fix-permissions-of-pid-file.patch, superseded by
        00git-format-strings.patch.
  * Debian's cleanup of 01_debian_4.0.patch also fixed operation for Karmic.
    (LP: #371234)
  * Add 06_check_etc_timezone.patch: Check /etc/timezone instead of
    /etc/localtime, to fix zones being misreported as some other zone. Thanks,
    Michael Terry! (LP: #43644)

system-tools-backends (2.6.0-6) unstable; urgency=low

  * 01_debian_4.0.patch: completely remove all the brain-dead version
    logic. The Debian version corresponds to the version the package is
    shipped in, that’s all.
  * Standards version is 3.8.1.
  * Point to versioned GPL in the copyright.

system-tools-backends (2.6.0-5) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control{.in}
    - Add Vcs-* fields.
    - Add Homepage field.
    - Add dependency on dbus (>= 1.1.2) which is required for D-Bus system bus
      activation (i.e. start-on-demand).

  [ Josselin Mouette ]
  * Remove dependency on adduser. Closes: #519366.
  * 01_debian_4.0.patch: update for the new string in
    /etc/debian_version. Closes: #519773.
    + Make it also understand 6.0 in preparation for squeeze.

system-tools-backends (2.6.0-4) unstable; urgency=low

  * 05_cve_2008_4311.patch: new patch, based on the patch by Simon
    McVittie for the lenny Branch. Specify permissions with
    send_destination instead of send_interface. Makes backends work with
    the dbus packages fixing CVE-2008-4311. Closes: #510744.

system-tools-backends (2.6.0-3) experimental; urgency=low

  [ Loic Minier ]
  * Don't rm_conffile /etc/dbus-1/event.d/70system-tools-backends during first
    configuration.

  [ Josselin Mouette ]
  * Build-depend on libpolkit-dbus-dev for PolicyKit support.
  * Make other build-dependencies up-to-date.
  * Break gnome-system-tools < 2.22.1-1.
  * 03_default_permissions.patch: removed, useless with PolicyKit.
  * Install the policy.
  * Remove the init script, the dispatcher is correctly started on
    demand in the PolicyKit-enabled code path. Closes: #423903.
  * Remove the init script and symbolic links in the preinst.
  * system-tools-backends.1: fix typo. Closes: #482198.
  * system-tools-backends.postinst: removed, we don’t need stb-admin
    anymore and we don’t need to reload dbus to make it start the
    daemon.
  * Don’t pass --with-stb-group to the configure flags.

 -- Martin Pitt <email address hidden> Wed, 06 May 2009 11:03:50 +0200

Changed in system-tools-backends (Ubuntu Karmic):
status: In Progress → Fix Released
Andre Klapper (a9016009) wrote :

Getting the fix back upstream (by attaching the patch to the bug report) is appreciated.

Changed in system-tools-backends:
status: Unknown → New
Martin Pitt (pitti) wrote :

Andre, this was fixed by Debian by updating the Debian patch (01_debian_4.0.patch). Thus, by removing much of it, the problem got fixed. I don't think it's an upstream problem.

Changed in system-tools-backends:
status: New → Invalid
Changed in system-tools-backends:
importance: Unknown → Critical
status: Invalid → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.